<div
	mb-preloading="ctrl.state === 'working'" 
	mb-infinate-scroll="nextPage()"
	layout="column"
	flex>
	
	<!-- Action bar -->
	<mb-pagination-bar
		mb-model="paginatorParameter"
		mb-reload="reload"
		mb-sort-keys="sortKeys"
		mb-more-actions="moreActions">
	</mb-pagination-bar>
	
	<md-list>
		<md-list-item 
			ng-repeat="object in ctrl.items track by object.id"
			ng-href="{{'elearning/topics/'+object.id}}"
			class="md-3-line">
			<img ng-src="{{object.cover}}" class="md-avatar" alt="{{item.who}}" />
			<div 
				class="md-list-item-text" 
				layout="column">
				<h3>{{object.title}}</h3>
				<h4>{{object.loc}}</h4>
				<p>{{object.description}}</p>
			</div>
		</md-list-item>
	</md-list>
  
	<div
		layout="column"
		layout-align="center center"
		ng-show="ctrl.state === 'working' &&(!ctrl.items || ctrl.items.length == 0)">
		<h2>Empty topics list</h2>
		<p>Any topic match with the query. You can add a new topic by 
			click on the add button.</p>
		<md-button
			ng-click="addPart()">
			<wb-icon>add</wb-icon>
			<span translate>Add</span>
		</md-button>
	</div>
</div>

